.activitys_container  {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding-top: 90px;
    background: #010f37;
    /* background: linear-gradient(0deg, rgba(87,74,226,1) 0%, rgba(255, 177, 122, 0.872) 100%); */
    /* background-image: linear-gradient( 126.3deg, rgba(30,2,83,1) 32.2%, rgba(198,55,160,0.46) 109.2% ); */
    /* background-image: linear-gradient(62deg, #8EC5FC 0%, #E0C3FC 100%); */
}

.activitys_container .activity {
    width: 100%;
    max-width: 1168px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;

}

.activity-items {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

.activity-items a {
    height: 250px;
    width: 100%;
    position: relative;
    border-radius: 10px;
    box-shadow: 3px 3px 10px 3px rgba(255, 255, 255, 0.1);
    border: 2px solid #ffffff;

}

.activity-items a h2 {
    font-size: 1.5em;
    font-weight: 400;
}

.activity-items img {
    position: relative;
    height: 100%;
    width: 100%;
    border-radius: 10px;
    object-fit: cover;
}

.activity-items h2 {
    position: absolute;
    bottom: 0;
    color: rgba(30,2,83,1);
    background: linear-gradient(90deg, #ffffff 70%, rgba(226,173,242,0) 100%);
    padding: 7px;
    width: 100%;
    border-bottom-left-radius: 9px;
    border-bottom-right-radius: 9px;
}

@media screen and (max-width: 1195px) {
    .activitys_container  {
        padding-top: 90px;
        height: 100%;
    }
    .activity-items {
        display: grid;
        grid-template-columns: 2fr 2fr;
        gap: 20px;
        justify-content: center;
        align-items: center;
        width: 100%;
    
    }
}

@media screen and (max-width: 1024px) {
    .activitys_container  {
        padding: 80px 0;
    }
}

@media screen and (max-width: 820px) {
    .activity-items {
        display: grid;
        grid-template-columns: 1fr;
        gap: 20px;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
    .activity-items a h2 {
        font-size: 1.3em;
        font-weight: 400;
    }
}

@media screen and (max-width: 400px) {
    .activity-items a {
        height: 200px;
        width: 100%;
        position: relative;
    }
    .activity-items a h2 {
        font-size: 1.2em;
        font-weight: 400;
    }
}





.activitys_gallery {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 90px;
}

/* repeat(auto-fit, minmax(250px, 1fr)) */
.gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 30px;
    width: 100%;
    max-width: 1024px;
    padding: 10px;
}

.gallery img {
    width: 100%;
    border-radius: 10px;
}

@media screen and (max-width: 1024px) {
    .activitys_gallery {
        padding-top: 80px;
        padding-bottom: 80px;
    }
}


.preview-gallery {
    position: fixed ;
    width: 100%;
    max-width: 1024px;
    top: 55%;
    left: 50%;
    opacity: 0;
    pointer-events: none;
    transform: translate(-50%, -50%) scale(0.9);
    background: #ffffff;
    padding: 5px;
    border-radius: 5px;
    z-index: 5;
}

.preview-gallery.show {
    opacity: 1;
    pointer-events: auto;
    transition: all 0.3s ease;
}

.preview-gallery .info-gallery {
    display: flex;
    justify-content: space-between;
    padding: 3px;
}

.preview-gallery .img-gallery {
    display: flex;
    width: 100%;
}

.preview-gallery .img-gallery img {
    width: 100%;
    border-radius: 5px;
    user-select: none;
}

.shadow {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    display: none;
    background: rgba(0, 0, 0,0.7);
}

@media screen and (max-width: 1024px) {
    .preview-gallery {
        top: 50%;
    }
    .gallery {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 20px;
        width: 100%;
        max-width: 1024px;
        padding: 10px;
    }
}
@media screen and (max-width: 600px) {
    .preview-gallery {
        top: 50%;
    }
    .gallery {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px;
        width: 100%;
        max-width: 1024px;
        padding: 10px;
    }
}
